//	(c) 2000 J. Gans (jdg9@cornell.edu), Shalloway Lab, 
//	Cornell University. You can modify and freely distribute 
//	this code, but please keep this header intact.
#if !defined(AFX_EQUATIONDIALOG_H__9D16E4DA_4AEE_43C2_852C_9FFA6095610C__INCLUDED_)
#define AFX_EQUATIONDIALOG_H__9D16E4DA_4AEE_43C2_852C_9FFA6095610C__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
// EquationDialog.h : header file
//

#include "history.h"

/////////////////////////////////////////////////////////////////////////////
// CEquationDialog dialog

class CEquationDialog : public CDialog
{
// Construction
public:
	CEquationDialog(CDocument* pDoc, list<EquationInfo> & m_eqHistory);

	BOOL OnInitDialog();
	void SaveEquationHistory();

	CDocument* m_pDoc;
	
	list<EquationInfo> *ptrEqHistory;

// Dialog Data
	//{{AFX_DATA(CEquationDialog)
	enum { IDD = IDD_EQUATION_DIALOG };
	CTabCtrl	m_eq_tab;
	CProgressCtrl	m_status;
	CString	m_equation;
	UINT	m_num_points;
	CString	m_x_max;
	CString	m_x_min;
	//}}AFX_DATA


// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CEquationDialog)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:

	// Generated message map functions
	//{{AFX_MSG(CEquationDialog)
	virtual void OnOK();
	afx_msg void OnSelchangeEquationTab(NMHDR* pNMHDR, LRESULT* pResult);
	afx_msg void OnSelchangingEquationTab(NMHDR* pNMHDR, LRESULT* pResult);
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_EQUATIONDIALOG_H__9D16E4DA_4AEE_43C2_852C_9FFA6095610C__INCLUDED_)
