//	(c) 2000-2002 J. Gans (jdg9@cornell.edu), Shalloway Lab, 
//	Cornell University. You can modify and freely distribute 
//	this code, but please keep this header intact.

#include "stdafx.h"
#include "sgraph.h"
#include "PasteDialog.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// CPasteDialog dialog


CPasteDialog::CPasteDialog(CWnd* pParent /*=NULL*/)
	: CDialog(CPasteDialog::IDD, pParent)
{
	//{{AFX_DATA_INIT(CPasteDialog)
		// NOTE: the ClassWizard will add member initialization here
	//}}AFX_DATA_INIT
}


void CPasteDialog::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(CPasteDialog)
	DDX_Control(pDX, IDC_PASTE_COMBO, m_format);
	//}}AFX_DATA_MAP
}


BEGIN_MESSAGE_MAP(CPasteDialog, CDialog)
	//{{AFX_MSG_MAP(CPasteDialog)
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CPasteDialog message handlers
BOOL CPasteDialog::OnInitDialog()
{
	CDialog::OnInitDialog();


	// Set the default format
	m_format.SetCurSel(0);

	return TRUE;
}

void CPasteDialog::OnOK() 
{
	switch(m_format.GetCurSel()){
		case 0: // ASCII: x y
			import_format = SGraph::SINGLE_PLOT;
			break;
		case 1: // ASCII: x y1 y2 ... yn
			import_format = SGraph::MULTI_PLOT;
			break;
		case 2: // ASCII: x y dx
			import_format = SGraph::SINGLE_PLOT_DX;
			break;
		case 3: // ASCII: x y dy
			import_format = SGraph::SINGLE_PLOT_DY;
			break;
		case 4: // ASCII: x y dx dy
			import_format = SGraph::SINGLE_PLOT_DX_DY;
			break;
	
	};
	
	CDialog::OnOK();
}
