//	(c) 2000 J. Gans (jdg9@cornell.edu), Shalloway Lab, 
//	Cornell University. You can modify and freely distribute 
//	this code, but please keep this header intact.
#if !defined(AFX_PLOTSTATISTICSDIALOG_H__CAA36367_0D61_11D4_A36D_00C04F72D141__INCLUDED_)
#define AFX_PLOTSTATISTICSDIALOG_H__CAA36367_0D61_11D4_A36D_00C04F72D141__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
// PlotStatisticsDialog.h : header file
//

#include "PlotList.h"

/////////////////////////////////////////////////////////////////////////////
// CPlotStatisticsDialog dialog

class CPlotStatisticsDialog : public PlotListBox, public CDialog
{
// Construction
public:
	CPlotStatisticsDialog(CDocument* pDoc, CWnd* pParent = NULL);
	
	BOOL OnInitDialog();
	CString GetStatistics(SPlot &plot);

	CDocument* m_pDoc;
// Dialog Data
	//{{AFX_DATA(CPlotStatisticsDialog)
	enum { IDD = IDD_STATISITCS };
	CListBox	m_plot_list;
	//}}AFX_DATA


// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CPlotStatisticsDialog)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:

	// Generated message map functions
	//{{AFX_MSG(CPlotStatisticsDialog)
	afx_msg void OnApply();
	afx_msg void OnSelectChange();
	afx_msg void OnClose();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_PLOTSTATISTICSDIALOG_H__CAA36367_0D61_11D4_A36D_00C04F72D141__INCLUDED_)
