//	(c) 2000-2002 J. Gans (jdg9@cornell.edu), Shalloway Lab, 
//	Cornell University. You can modify and freely distribute 
//	this code, but please keep this header intact.
#if !defined(AFX_POLAREQUATIONDIALOG_H__85EBE83B_49FE_4266_A060_1F4325C4CDBD__INCLUDED_)
#define AFX_POLAREQUATIONDIALOG_H__85EBE83B_49FE_4266_A060_1F4325C4CDBD__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
// PolarEquationDialog.h : header file
//

#include "history.h"

/////////////////////////////////////////////////////////////////////////////
// CPolarEquationDialog dialog

class CPolarEquationDialog : public CDialog
{
// Construction
public:
	CPolarEquationDialog(CDocument* pDoc, 
		list<PolarEquationInfo> &m_polarEqHistory);

	BOOL OnInitDialog();
	void SaveEquationHistory();

	CDocument* m_pDoc;

	list<PolarEquationInfo> *ptrPolarEqHistory;

// Dialog Data
	//{{AFX_DATA(CPolarEquationDialog)
	enum { IDD = IDD_POLAR_EQUATION_DIALOG };
	CTabCtrl	m_eq_tab;
	CProgressCtrl	m_status;
	CString	m_equation;
	UINT	m_num_points;
	CString	m_t_max;
	CString	m_t_min;
	//}}AFX_DATA


// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CPolarEquationDialog)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:

	// Generated message map functions
	//{{AFX_MSG(CPolarEquationDialog)
	virtual void OnOK();
	afx_msg void OnSelchangeEquationTab(NMHDR* pNMHDR, LRESULT* pResult);
	afx_msg void OnSelchangingEquationTab(NMHDR* pNMHDR, LRESULT* pResult);
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_POLAREQUATIONDIALOG_H__85EBE83B_49FE_4266_A060_1F4325C4CDBD__INCLUDED_)
