//	(c) 2000 J. Gans (jdg9@cornell.edu), Shalloway Lab, 
//	Cornell University. You can modify and freely distribute 
//	this code, but please keep this header intact.

#if !defined(AFX_TICKLABELDIALOG_H__B1917ADA_22AD_11D4_A36E_00C04F72D141__INCLUDED_)
#define AFX_TICKLABELDIALOG_H__B1917ADA_22AD_11D4_A36E_00C04F72D141__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

#include "SGraphDoc.h"

/////////////////////////////////////////////////////////////////////////////
// CTickLabelDialog dialog

class CTickLabelDialog : public CDialog
{
// Construction
public:
	CTickLabelDialog(CSgraphDoc* pDoc, int axis, CWnd* pParent = NULL);
	
	BOOL OnInitDialog();
	void UpdateLabels(int graph, int axis);

	CSgraphDoc* m_pDoc;
	int selected_axis;
	int m_label_location;

	int m_font_color;
	LOGFONT m_font;

// Dialog Data
	//{{AFX_DATA(CTickLabelDialog)
	enum { IDD = IDD_TICK_LABEL };
	CComboBox	m_format;
	CComboBox	m_precision;
	CComboBox	m_apply;
	//}}AFX_DATA


// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CTickLabelDialog)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:

	// Generated message map functions
	//{{AFX_MSG(CTickLabelDialog)
	afx_msg void OnButtonFont();
	afx_msg void OnRadioNormal();
	afx_msg void OnRadioBoth();
	afx_msg void OnRadioOpposite();
	virtual void OnOK();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_TICKLABELDIALOG_H__B1917ADA_22AD_11D4_A36E_00C04F72D141__INCLUDED_)
