//	(c) 2000-2002 J. Gans (jdg9@cornell.edu), Shalloway Lab, 
//	Cornell University. You can modify and freely distribute 
//	this code, but please keep this header intact.
#if !defined(AFX_ANIMATEPLOTDIALOG_H__596165D0_8831_4236_AF6F_2C53D55D065D__INCLUDED_)
#define AFX_ANIMATEPLOTDIALOG_H__596165D0_8831_4236_AF6F_2C53D55D065D__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
// AnimatePlotDialog.h : header file
//

/////////////////////////////////////////////////////////////////////////////
// CAnimatePlotDialog dialog
#define		WM_ANIMATE_CLOSE	(WM_USER + 1)
#define		WM_ANIMATE_ADJUST	(WM_USER + 2)
#define		WM_ANIMATE_UPDATE	(WM_USER + 3)

class CAnimatePlotDialog : public CDialog
{
// Construction
public:
	CAnimatePlotDialog(CView* pParent);
	BOOL Create();

	//  A pointer to the "parent" view
	CView *m_pView;
	
	int GetCurrPlot();

// Dialog Data
	//{{AFX_DATA(CAnimatePlotDialog)
	enum { IDD = IDD_ANIMATE_DIALOG };
	CSliderCtrl	m_plot_slider;
	CString	m_plot_num;
	CString	m_info;
	//}}AFX_DATA


// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CAnimatePlotDialog)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:

	// Generated message map functions
	//{{AFX_MSG(CAnimatePlotDialog)
	virtual void OnCancel();
	virtual BOOL OnInitDialog();
	afx_msg void OnHScroll(UINT nSBCode, UINT nPos, CScrollBar* pScrollBar);
	afx_msg LRESULT OnUpdateSlider(WPARAM wParam, LPARAM lParam);
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_ANIMATEPLOTDIALOG_H__596165D0_8831_4236_AF6F_2C53D55D065D__INCLUDED_)
