//	(c) 2000-2002 J. Gans (jdg9@cornell.edu), Shalloway Lab, 
//	Cornell University. You can modify and freely distribute 
//	this code, but please keep this header intact.
#if !defined(AFX_INTEGRATEDIALOG_H__3AB116B0_5066_4499_9121_AC93656C8BCD__INCLUDED_)
#define AFX_INTEGRATEDIALOG_H__3AB116B0_5066_4499_9121_AC93656C8BCD__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
// IntegrateDialog.h : header file
//

#include "PlotList.h"

/////////////////////////////////////////////////////////////////////////////
// CIntegrateDialog dialog

class CIntegrateDialog : public PlotListBox, public CDialog
{
// Construction
public:
	CIntegrateDialog(CDocument* pDoc, CWnd* pParent = NULL);

	BOOL OnInitDialog();

	CDocument* m_pDoc;

	int limits;

// Dialog Data
	//{{AFX_DATA(CIntegrateDialog)
	enum { IDD = IDD_INTEGRATE_DIALOG };
	CListBox	m_list;
	float	m_lower;
	float	m_upper;
	//}}AFX_DATA


// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CIntegrateDialog)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:
	// Generated message map functions
	//{{AFX_MSG(CIntegrateDialog)
	afx_msg void OnAutoRadio();
	afx_msg void OnUserRadio();
	afx_msg void OnSelchangeIntegrateList();
	virtual void OnOK();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_INTEGRATEDIALOG_H__3AB116B0_5066_4499_9121_AC93656C8BCD__INCLUDED_)
