//	(c) 2000-2002 J. Gans (jdg9@cornell.edu), Shalloway Lab, 
//	Cornell University. You can modify and freely distribute 
//	this code, but please keep this header intact.
#if !defined(AFX_LEGENDDIALOG_H__64A2B948_A871_11D4_A380_00C04F72D141__INCLUDED_)
#define AFX_LEGENDDIALOG_H__64A2B948_A871_11D4_A380_00C04F72D141__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
// LegendDialog.h : header file
//

#include "sgraph.h"
#include "PlotList.h"

/////////////////////////////////////////////////////////////////////////////
// CLegendDialog dialog

class CLegendDialog : public PlotListBox, public CDialog
{
// Construction
public:
	CLegendDialog(CDocument* pDoc, CWnd* pParent = NULL);

	BOOL OnInitDialog();

	CDocument* m_pDoc;

	//CString *tmp_legend;
	STextObject *tmp_legend;

	LOGFONT font;

	COLORREF customFillColor, customEdgeColor, fontColor;

	//{{AFX_DATA(CLegendDialog)
	enum { IDD = IDD_LEGEND };
	CComboBox	m_fill_color;
	CComboBox	m_edge_color;
	CListBox	m_list;
	BOOL	m_show_bbox;
	CString	m_text;
	//}}AFX_DATA


// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CLegendDialog)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:

	// Generated message map functions
	//{{AFX_MSG(CLegendDialog)
		afx_msg void OnSelectChange();
		virtual void OnOK();
	afx_msg void OnLableFontButton();
	virtual void OnCancel();
	afx_msg void OnSelchangeEdgeColor();
	afx_msg void OnSelchangeFillColor();
	afx_msg void OnBboxCheck();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_LEGENDDIALOG_H__64A2B948_A871_11D4_A380_00C04F72D141__INCLUDED_)
