//	(c) 2000-2002 J. Gans (jdg9@cornell.edu), Shalloway Lab, 
//	Cornell University. You can modify and freely distribute 
//	this code, but please keep this header intact.

#if !defined(AFX_NONLINFITOPTIONS_H__DBAFA5ED_F94C_4413_9035_721FF0EA090A__INCLUDED_)
#define AFX_NONLINFITOPTIONS_H__DBAFA5ED_F94C_4413_9035_721FF0EA090A__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
// NonLinFitOptions.h : header file
//

/////////////////////////////////////////////////////////////////////////////
// CNonLinFitOptions dialog

class CNonLinFitOptions : public CDialog
{
// Construction
public:
	CNonLinFitOptions(int method, int iter, float tol, BOOL simplify,
					  BOOL use_error_bar);

private:
	int tmp_method;
	int tmp_iter;
	float tmp_tol;
public:
	int GetMaxIter()
	{
		return tmp_iter;
	};

	float GetTol()
	{
		return tmp_tol;
	};

	int GetMethod()
	{
		return tmp_method;
	};

	BOOL Simplify()
	{
		return m_simplify;
	};

	BOOL UseErrorBar()
	{
		return m_use_error_bar;
	};

	BOOL OnInitDialog();

// Dialog Data
	//{{AFX_DATA(CNonLinFitOptions)
	enum { IDD = IDD_FIT_OPTIONS_DIALOG };
	CComboBox	m_method;
	CString	m_max_iter;
	CString	m_tol;
	BOOL	m_simplify;
	BOOL	m_use_error_bar;
	//}}AFX_DATA


// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CNonLinFitOptions)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:

	// Generated message map functions
	//{{AFX_MSG(CNonLinFitOptions)
	virtual void OnOK();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_NONLINFITOPTIONS_H__DBAFA5ED_F94C_4413_9035_721FF0EA090A__INCLUDED_)
