//	(c) 2000 J. Gans (jdg9@cornell.edu), Shalloway Lab, 
//	Cornell University. You can modify and freely distribute 
//	this code, but please keep this header intact.
#if !defined(AFX_TEXTEDITDIALOG_H__4C94C4D8_F1FA_11D3_A367_00C04F72D141__INCLUDED_)
#define AFX_TEXTEDITDIALOG_H__4C94C4D8_F1FA_11D3_A367_00C04F72D141__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
// TextEditDialog.h : header file
//

/////////////////////////////////////////////////////////////////////////////
// CTextEditDialog dialog

class CTextEditDialog : public CDialog
{
// Construction
public:
	CTextEditDialog(const CString &m_title, CString &m_text, LOGFONT &m_font, 
					COLORREF m_fontColor, CWnd* pParent = NULL);
	
	CString text, title;
	LOGFONT font;
	COLORREF fontColor;

	CString &GetText();
	LOGFONT& GetFont();
	COLORREF GetFontColor();

	BOOL OnInitDialog();
	
	// The angle of text rotation (in degrees)
	int angle;

// Dialog Data
	//{{AFX_DATA(CTextEditDialog)
	enum { IDD = IDD_TEXT_EDIT };
	CRichEditCtrl	m_text_edit;
	CSpinButtonCtrl	m_spin_orientation;
	CString	m_orientation;
	//}}AFX_DATA


// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CTextEditDialog)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:

	// Generated message map functions
	//{{AFX_MSG(CTextEditDialog)
	afx_msg void OnTextFont();
	virtual void OnOK();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_TEXTEDITDIALOG_H__4C94C4D8_F1FA_11D3_A367_00C04F72D141__INCLUDED_)
