//	(c) 2000 J. Gans (jdg9@cornell.edu), Shalloway Lab, 
//	Cornell University. You can modify and freely distribute 
//	this code, but please keep this header intact.
#include "stdafx.h"
#include "sgraph.h"
#include "TextOutputDialog.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// CTextOutputDialog dialog


CTextOutputDialog::CTextOutputDialog(const CString &title, 
									 const CString &text, 
									 CWnd* pParent /* NULL */)
	: CDialog(CTextOutputDialog::IDD, pParent)
{
	m_title = title;
	m_text_buffer = text;
	//{{AFX_DATA_INIT(CTextOutputDialog)
	//}}AFX_DATA_INIT
}


void CTextOutputDialog::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(CTextOutputDialog)
	DDX_Control(pDX, IDC_OUTPUT_EDIT, m_text);
	//}}AFX_DATA_MAP
}


BEGIN_MESSAGE_MAP(CTextOutputDialog, CDialog)
	//{{AFX_MSG_MAP(CTextOutputDialog)
	ON_BN_CLICKED(IDCLOSE, OnClose)
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CTextOutputDialog message handlers
BOOL CTextOutputDialog::OnInitDialog()
{
	CDialog::OnInitDialog();
	
	SetWindowText(m_title);
	m_text.SetWindowText(m_text_buffer);
	return TRUE;
}

void CTextOutputDialog::OnClose() 
{
	CDialog::OnCancel();
}
